Name:		liboil
Version:	0.3.2
Release:	0.gst.1.3
Summary:	Library of optimized inner loops.

Group:		System Environment/Libraries
License:	LGPL
URL:		http://www.schleef.org/liboil/
Source:		http://www.schleef.org/liboil/download/%{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  glib2-devel
# sigh, libtool
BuildRequires:	gcc-c++
BuildRequires:  gtk-doc

%define _majmin 0.3

%description
Liboil is a library of simple functions that are optimized for various CPUs.
These functions are generally loops implementing simple algorithms, such as
converting an array of N integers to floating-poing numbers or multiplying
and summing an array of N numbers. Clearly such functions are candidates
for significant optimization using various techniques, especially by using
extended instructions provided by modern CPUs (Altivec, MMX, SSE, etc.).

%package devel
Summary:	liboil development files and static libraries.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
liboil-devel contains the files needed to build packages that depend on liboil.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/liboil-%{_majmin}.so.*
%{_libdir}/liboiltmp1.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/liboil-%{_majmin}.a
%{_libdir}/liboil-%{_majmin}.so
%{_libdir}/liboiltmp1.a
%{_includedir}/liboil-%{_majmin}
%{_libdir}/pkgconfig/liboil-%{_majmin}.pc

%doc %{_datadir}/gtk-doc/html/liboil

%changelog
* Tue May 17 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.2-0.gst.1
- new upstream release

* Thu Mar 03 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.0-0.fdr.1
- new upstream release

* Mon Nov 15 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.2.0-0.fdr.1
- Initial package
